{% extends 'basepartials/base.html' %}
{% load static %}
{% load form_tags %}
{% block title %}Oportunidades de venta{% endblock %}
{% block extra_style %}
<!--<link rel="stylesheet" href="{% static 'vendor/file-input/css/fileinput.min.css' %}" type="text/css">-->
<link rel="stylesheet" type="text/css" href="{% static 'css/validacion.css' %}">
<style>
    .custom-file .custom-file-label:lang(en)::after {
        content: "Selecciona...";
    }

    .visible-add {
        display: inline-table;
    }
</style>
{% endblock %}
{% block content %}
<div class="container container-full">
    <div class="card" style="padding: 0;" id="panel-table-oportunidad-ventas">
        <div class="card-header">
            <h2 class="card-title">Editor de Actividades</h2>
        </div>
        <div class="card-body" style="margin: 0;">
            <form action="{% url 'sale_opportunity:activity-update' activity.id %}" method="post" role="form">
                {% csrf_token %}
                <div class="row">
                    <div class="col-sm-2">
                        <div class="form-group">
                            {{ form.type.label_tag }}<i style="color:red;">(*)</i>
                            {{ form.type}}
                             {% if form.type.errors %}
                                <p>
                                    <strong class="valid-text" style="color:red;">
                                        {{ form.type.errors|striptags}}
                                    </strong>
                                </p>
                            {% endif %}
                        </div>
                    </div>
                    <div class="offset-sm-2 col-sm-2">
                        <div class="form-group">
                            {{ form.start_date.label_tag }}<i style="color:red;">(*)</i>
                            {{ form.start_date }}
                            {% if form.start_date.errors %}
                                <p>
                                    <strong class="valid-text" style="color:red;">
                                        {{ form.start_date.errors|striptags}}
                                    </strong>
                                </p>
                            {% endif %}
                        </div>
                    </div>
                    <div class="offset-sm-2 col-sm-2">
                        <div class="form-group">
                            {{ form.end_date.label_tag }}<i style="color:red;">(*)</i>
                            {{ form.end_date }}
                            {% if form.end_date.errors %}
                                <p>
                                    <strong class="valid-text" style="color:red;">
                                        {{ form.end_date.errors|striptags}}
                                    </strong>
                                </p>
                            {% endif %}
                        </div>
                    </div>
                </div>
                <hr>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group">
                            {{ form.description.label_tag }}<i style="color:red;">(*)</i>
                            {{ form.description }}
                            {% if form.description.errors %}
                                <p>
                                    <strong class="valid-text" style="color:red;">
                                        {{ form.description.errors|striptags}}
                                    </strong>
                                </p>
                            {% endif %}
                        </div>
                    </div>
                    <div class="offset-1 col-sm-2">
                        <div class="form-group">
                            {{ form.result.label_tag }}
                            {{ form.result }}
                            {% if form.result.errors %}
                                <p>
                                    <strong class="valid-text" style="color:red;">
                                        {{ form.result.errors|striptags}}
                                    </strong>
                                </p>
                            {% endif %}
                        </div>
                    </div>
                </div>
                <hr>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group">
                            {{ form.meeting_result.label_tag }}<i style="color:red;">(*)</i>
                            {{ form.meeting_result }}
                            {% if form.meeting_result.errors %}
                                <p>
                                    <strong class="valid-text" style="color:red;">
                                        {{ form.meeting_result.errors|striptags}}
                                    </strong>
                                </p>
                            {% endif %}
                        </div>
                    </div>
                </div>
                <br><br>
                <div class="row">
                    <div class="col-sm-3"></div>
                    <div class="col-sm-6 text-center">
                        <a style="width: 200px" class="btn btn-danger pull-left"
                           href="{% url 'sale_opportunity:activity-list' sale_opportunity.id %}">Cancelar</a>
                        <input type="submit" value="Guardar" class="btn btn-primary" style="width: 200px">
                    </div>
                    <div class="col-sm-3"></div>
                </div>
            </form>
        </div>
    </div>
</div>
{% endblock %}
{% block bottom_scripts %}
<script>
    $(function () {
      var modal = $("#myModalValidation");
      var btn = $("#btn-guardar");
      var span = $("#close-valid");
      {% if form.errors %}
        modal.show();
      {% endif %}
      span.on("click", function (e) {
        modal.hide();
      });
      $(window).click(function (e) {
        if (e.target === modal[0]) {
          modal.hide();
        }
      });
    });
  </script>

    <script>
        $("#id_start_date").attr("max",$("#id_end_date").val());
        $("#id_start_date").change(function () {
           $("#id_end_date").attr("min", $(this).val())
       });
       $("#id_end_date").change(function () {
         $("#id_start_date").attr("max", $(this).val())
       })
    </script>
{% endblock %}
